TapeDescriptor (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.model

## Interface TapeDescriptor

- All Superinterfaces:
    EssenceDescriptor, InterchangeObject, MediaEntity, MetadataObject
  All Known Subinterfaces:
    TapeDescriptor
  All Known Implementing Classes:
    TapeDescriptorImpl

      public interface TapeDescriptor
      extends EssenceDescriptor

  Specifies the description of audio tape or video tape media. A source package described by a tape descriptor is known as a tape source package.

  See Also:
    `SourcePackage.setEssenceDescriptor(EssenceDescriptor)`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `TapeDescriptor` | `clone()` Create a cloned copy of this tape descriptor.
    `VideoSignalType` | `getSignalType()` Returns the video signal standard recorded on the described tape.
    `String` | `getTapeBatchNumber()` Returns the tape batch number for the described tape.
    `int` | `getTapeCapacity()` Returns the capacity of the described tape, measured in minutes.
    `TapeFormatType` | `getTapeFormat()` Returns the recording method used for the described tape, known as its format.
    `TapeCaseType` | `getTapeFormFactor()` Returns the tape form factor (case size) of the described tape.
    `String` | `getTapeFormuulation()` Returns the tape formulation (model) property of the described tape, which provides a text string to display to end users that identifies the manufacturer's brand designation of the tape.
    `String` | `getTapeManufacturer()` Returns the tape manufacturer property of the described tape, which provides a text string to display to end users that identifies the manufacturer of the tape.
    `String` | `getTapeStock()` Returns the string identifying the tape stock for the described tape.
    `void` | `setSignalType(VideoSignalType videoSignal)` Sets the video signal standard recorded on the described tape.
    `void` | `setTapeBatchNumber(String tapeBatchNumber)` Sets the tape batch number for the described tape.
    `void` | `setTapeCapacity(Integer tapeCapacity)` Sets the capacity of the described tape, measured in minutes.
    `void` | `setTapeFormat(TapeFormatType tapeFormat)` Sets the recording method used for the described tape.
    `void` | `setTapeFormFactor(TapeCaseType formFactor)` Sets the tape form factor (case size) of the described tape.
    `void` | `setTapeFormulation(String tapeFormulation)` Sets the tape formulation (model) property of the described tape, which provides a text string to display to end users that identifies the manufacturer's brand designation of the tape.
    `void` | `setTapeManufacturer(String tapeManufacturer)` Sets the tape manufacturer property of the described tape, which provides a text string to display to end users that identifies the manufacturer of the tape.
    `void` | `setTapeStock(String tapeStock)` Sets the string identifying the tape stock for the described tape.

    - ### Methods inherited from interface tv.amwa.maj.model.EssenceDescriptor

      `appendLocator, appendSubDescriptor, clearLocators, countLocators, countSubDescriptors, getLocatorAt, getLocators, getSubDescriptorAt, getSubDescriptors, insertLocatorAt, insertSubDescriptorAt, prependLocator, prependSubDescriptor, removeLocatorAt, removeSubDescriptorAt`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

- - ### Method Detail

    - #### setTapeManufacturer

          void setTapeManufacturer(@AAFString
                                   String tapeManufacturer)

      Sets the tape manufacturer property of the described tape, which provides a text string to display to end users that identifies the manufacturer of the tape. Set this optional property to `null` to omit it.

      Parameters:
        `tapeManufacturer` - Tape manufacturer property of the described tape.

    - #### getTapeManufacturer

          @AAFString
          String getTapeManufacturer()
                                         throws PropertyNotPresentException

      Returns the tape manufacturer property of the described tape, which provides a text string to display to end users that identifies the manufacturer of the tape. This is an optional property.

      Returns:
        Tape manufacturer property of the described tape.
      Throws:
        `PropertyNotPresentException` - The optional tape manufacturer property is not present in this tape descriptor.

    - #### setTapeFormulation

          void setTapeFormulation(@AAFString
                                  String tapeFormulation)

      Sets the tape formulation (model) property of the described tape, which provides a text string to display to end users that identifies the manufacturer's brand designation of the tape. Set this optional property to `null` to omit it.

      Parameters:
        `tapeFormulation` - Tape model of the described tape.

    - #### getTapeFormuulation

          @AAFString
          String getTapeFormuulation()
                                         throws PropertyNotPresentException

      Returns the tape formulation (model) property of the described tape, which provides a text string to display to end users that identifies the manufacturer's brand designation of the tape. This is an optional property.

      Returns:
        Tape model of the described tape.
      Throws:
        `PropertyNotPresentException` - The optional tape model property is not present in this tape descriptor.

    - #### setTapeFormFactor

          void setTapeFormFactor(TapeCaseType formFactor)

      Sets the tape form factor (case size) of the described tape. Set this optional property to `null` to omit it.

      Typical values include:

      - `TapeCaseType.VHSVideoTape`
      - `TapeCaseType.DATCartridge`
      - `TapeCaseType.ThreeFourthInchVideoTape`
      Parameters:
        `formFactor` - Tape form factor (case size) of the described tape.

    - #### getTapeFormFactor

          TapeCaseType getTapeFormFactor()
                                  throws PropertyNotPresentException

      Returns the tape form factor (case size) of the described tape. This is an optional property.

      Typical values include:

      - `TapeCaseType.VHSVideoTape`
      - `TapeCaseType.DATCartridge`
      - `TapeCaseType.ThreeFourthInchVideoTape`
      Returns:
        Tape form factor of the described tape.
      Throws:
        `PropertyNotPresentException` - The optional tape form factor property is not present in this tape descriptor.

    - #### setSignalType

          void setSignalType(VideoSignalType videoSignal)

      Sets the video signal standard recorded on the described tape. Set this optional property to `null` to omit it.

      Typical values includes:

      - `VideoSignalType.NTSCSignal`
      - `VideoSignalType.PALSignal`
      - `VideoSignalType.SECAMSignal`
      Parameters:
        `videoSignal` - Signal standard recorded on the described tape.

    - #### getSignalType

          VideoSignalType getSignalType()
                                 throws PropertyNotPresentException

      Returns the video signal standard recorded on the described tape. This is an optional property.

      Typical values includes:

      - `VideoSignalType.NTSCSignal`
      - `VideoSignalType.PALSignal`
      - `VideoSignalType.SECAMSignal`
      Returns:
        Signal standard recorded on the described tape.
      Throws:
        `PropertyNotPresentException` - The optional video signal type property is not present in this tape descriptor.

    - #### setTapeFormat

          void setTapeFormat(TapeFormatType tapeFormat)

      Sets the recording method used for the described tape. Set this optional property to `null` to omit it.

      Typical values include:

      - `TapeFormatType.BetacamSPFormat`
      - `TapeFormatType.SVHSFormat`
      - `TapeFormatType._8mmFormat`
      Parameters:
        `tapeFormat` - Recording method used for the described tape.

    - #### getTapeFormat

          TapeFormatType getTapeFormat()
                                throws PropertyNotPresentException

      Returns the recording method used for the described tape, known as its format. This is an optional property.

      Typical values include:

      - `TapeFormatType.BetacamSPFormat`
      - `TapeFormatType.SVHSFormat`
      - `TapeFormatType._8mmFormat`
      Returns:
        Recording method used for the described tape.
      Throws:
        `PropertyNotPresentException` - The optional tape format property is not present in this tape descriptor.

    - #### setTapeCapacity

          void setTapeCapacity(@UInt32
                               Integer tapeCapacity)
                        throws IllegalArgumentException

      Sets the capacity of the described tape, measured in minutes. Set this optional property to `null` to omit it.

      Parameters:
        `tapeCapacity` - Capacity of the described tape measured in minutes.
      Throws:
        `IllegalArgumentException` - The given tape length is negative.

    - #### getTapeCapacity

          @UInt32
          int getTapeCapacity()
                               throws PropertyNotPresentException

      Returns the capacity of the described tape, measured in minutes. This is an optional property.

      Returns:
        Capacity of the described tape in minutes.
      Throws:
        `PropertyNotPresentException` - The optional tape length property is not present in this tape descriptor.

    - #### getTapeBatchNumber

          String getTapeBatchNumber()
                             throws PropertyNotPresentException

      Returns the tape batch number for the described tape. This is an optional property.

      Returns:
        Tape batch number for the described tape.
      Throws:
        `PropertyNotPresentException` - The optional tape batch number is not present in this tape descriptor.

    - #### setTapeBatchNumber

          void setTapeBatchNumber(@AAFString
                                  String tapeBatchNumber)

      Sets the tape batch number for the described tape.

      Parameters:
        `tapeBatchNumber` - Tape batch number for the described tape.

    - #### getTapeStock

          String getTapeStock()
                       throws PropertyNotPresentException

      Returns the string identifying the tape stock for the described tape. This is an optional property.

      Returns:
        String identifying the tape stock for the described tape.
      Throws:
        `PropertyNotPresentException` - The optional tape stock property is not present for this tape descriptor.

    - #### setTapeStock

          void setTapeStock(@AAFString
                            String tapeStock)

      Sets the string identifying the tape stock for the described tape. Set this optional property to `null` to omit it.

      Parameters:
        `tapeStock` - String identifying the tape stock for the described tape.

    - #### clone

          TapeDescriptor clone()

      Create a cloned copy of this tape descriptor.

      Specified by:
        `clone` in interface `EssenceDescriptor`
      Specified by:
        `clone` in interface `InterchangeObject`
      Specified by:
        `clone` in interface `MediaEntity`
      Returns:
        Cloned copy of this tape descriptor.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.